summaryrefslogtreecommitdiff
path: root/attic/move-protos
diff options
context:
space:
mode:
authorAdam Jackson <ajax@redhat.com>2018-02-01 15:07:35 -0500
committerAdam Jackson <ajax@redhat.com>2018-02-01 15:07:35 -0500
commit866582439ac2410e5ae98c3387718b7a28e04917 (patch)
tree1b23e82ad57ad46edf7a227aff0fe544efcec0cc /attic/move-protos
parent193b75db8c1aa9d91d079901d7da98ec72810378 (diff)
Move the migration scripts and data to the attic
Signed-off-by: Adam Jackson <ajax@redhat.com>
Diffstat (limited to 'attic/move-protos')
-rw-r--r--attic/move-protos21
1 files changed, 21 insertions, 0 deletions
diff --git a/attic/move-protos b/attic/move-protos
new file mode 100644
index 0000000..8539ae9
--- /dev/null
+++ b/attic/move-protos
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+case $# in
+ 1)
+ me="$1"
+ ;;
+ *)
+ echo 'Usage: $0 <my-name>'
+ exit 1
+ ;;
+esac
+
+for i in `cat duplicate-files`; do
+ if [ -f $i ]; then
+ mkdir -p $me/`dirname $i`
+ echo git mv $i $me/$i
+ git mv $i $me/$i
+ fi
+done
+
+git commit -m"Move common $me files out of the way"